<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Mon Dec 11 11:05:54 CET 2023 -->
<title>Serialized Form</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<meta name="dc.created" content="2023-12-11">
<meta name="description" content="serialized forms">
<meta name="generator" content="javadoc/SerializedFormWriterImpl">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="serialized-form-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="SatellitesBalises/module-summary.html">Module</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html#serialized-form">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<ul class="block-list">
<li>
<section class="serialized-package-container">
<h2 title="Package">Package&nbsp;<a href="SatellitesBalises/back/event/package-summary.html">back.event</a></h2>
<ul class="block-list">
<li>
<section class="serialized-class-details" id="back.event.AbstractEvent">
<h3>Class&nbsp;<a href="SatellitesBalises/back/event/AbstractEvent.html" title="class in back.event">back.event.AbstractEvent</a></h3>
<div class="type-signature">class AbstractEvent extends <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/EventObject.html" title="class or interface in java.util" class="external-link">EventObject</a> implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<dl class="name-value">
<dt>serialVersionUID:</dt>
<dd>-693549131041202966L</dd>
</dl>
</section>
</li>
<li>
<section class="serialized-class-details" id="back.event.AvailableForSynchronisation">
<h3>Class&nbsp;<a href="SatellitesBalises/back/event/AvailableForSynchronisation.html" title="class in back.event">back.event.AvailableForSynchronisation</a></h3>
<div class="type-signature">class AvailableForSynchronisation extends <a href="SatellitesBalises/back/event/AbstractEvent.html" title="class in back.event">AbstractEvent</a> implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<dl class="name-value">
<dt>serialVersionUID:</dt>
<dd>-2325060188548024695L</dd>
</dl>
</section>
</li>
<li>
<section class="serialized-class-details" id="back.event.SynchronisationEnded">
<h3>Class&nbsp;<a href="SatellitesBalises/back/event/SynchronisationEnded.html" title="class in back.event">back.event.SynchronisationEnded</a></h3>
<div class="type-signature">class SynchronisationEnded extends <a href="SatellitesBalises/back/event/AbstractEvent.html" title="class in back.event">AbstractEvent</a> implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<dl class="name-value">
<dt>serialVersionUID:</dt>
<dd>-2325060188548024695L</dd>
</dl>
</section>
</li>
<li>
<section class="serialized-class-details" id="back.event.SynchronisationInProgress">
<h3>Class&nbsp;<a href="SatellitesBalises/back/event/SynchronisationInProgress.html" title="class in back.event">back.event.SynchronisationInProgress</a></h3>
<div class="type-signature">class SynchronisationInProgress extends <a href="SatellitesBalises/back/event/AbstractEvent.html" title="class in back.event">AbstractEvent</a> implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<dl class="name-value">
<dt>serialVersionUID:</dt>
<dd>-2325060188548024695L</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-package-container">
<h2 title="Package">Package&nbsp;<a href="SatellitesBalises/view/package-summary.html">view</a></h2>
<ul class="block-list">
<li>
<section class="serialized-class-details" id="view.ViewBeacon">
<h3>Class&nbsp;<a href="SatellitesBalises/view/ViewBeacon.html" title="class in view">view.ViewBeacon</a></h3>
<div class="type-signature">class ViewBeacon extends <a href="SatellitesBalises/view/ViewMobileElement.html" title="class in view">ViewMobileElement</a> implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<dl class="name-value">
<dt>serialVersionUID:</dt>
<dd>-6000578662312970019L</dd>
</dl>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>beacon</h5>
<pre><a href="SatellitesBalises/back/mobileElement/Beacon.html" title="class in back.mobileElement">Beacon</a> beacon</pre>
<div class="block">La balise représentée.</div>
</li>
<li class="block-list">
<h5>wasSynchro</h5>
<pre>boolean wasSynchro</pre>
<div class="block">True si à l'étape de simulation précédente, la balise était en
 synchronisation, false sinon.</div>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
<li>
<section class="serialized-class-details" id="view.ViewMobileElement">
<h3>Class&nbsp;<a href="SatellitesBalises/view/ViewMobileElement.html" title="class in view">view.ViewMobileElement</a></h3>
<div class="type-signature">class ViewMobileElement extends nicellipse.component.NiImage implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<dl class="name-value">
<dt>serialVersionUID:</dt>
<dd>8314462284805791832L</dd>
</dl>
</section>
</li>
<li>
<section class="serialized-class-details" id="view.ViewSatellite">
<h3>Class&nbsp;<a href="SatellitesBalises/view/ViewSatellite.html" title="class in view">view.ViewSatellite</a></h3>
<div class="type-signature">class ViewSatellite extends <a href="SatellitesBalises/view/ViewMobileElement.html" title="class in view">ViewMobileElement</a> implements <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/io/Serializable.html" title="class or interface in java.io" class="external-link">Serializable</a></div>
<dl class="name-value">
<dt>serialVersionUID:</dt>
<dd>5831396417635822418L</dd>
</dl>
<ul class="block-list">
<li>
<section class="detail">
<h4>Serialized Fields</h4>
<ul class="block-list">
<li class="block-list">
<h5>satellite</h5>
<pre><a href="SatellitesBalises/back/mobileElement/Satellite.html" title="class in back.mobileElement">Satellite</a> satellite</pre>
<div class="block">Le satellite représenté.</div>
</li>
<li class="block-list">
<h5>wasSynchro</h5>
<pre>boolean wasSynchro</pre>
<div class="block">True si à l'étape de simulation précédente, le satellite était en
 synchronisation, false sinon.</div>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</li>
</ul>
</main>
</div>
</div>
</body>
</html>
